1) Difficult problem that I have solved till now is during my final year at college where I worked with my colleagues on a project that demonstrates the use of Reinceforcement Learning in the real world. We deployed the RL algorithm into games such as Atari.

2) Option 2,3,4 are subspaces of V because in Option 1, 0 element is not possible.
